'use strict';
window.Pallada=window.Pallada||{};

Pallada.Loader={
	load: function( moduleName, cb ) {
		var script=document.createElement( 'script' );
		script.src=moduleName;
		script.addEventListener( "load", cb );
		document.head.appendChild( script );		
	}
}

window.addEventListener('DOMContentLoaded', function() {
	var anticache='?_dc='+Date.now();
	Pallada.Loader.load('./version.js'+anticache, function(){
		Pallada.Loader.load('./config.js'+anticache, function(){
			if(window.Pallada.buildtime){
				anticache='?_dc=B'+window.Pallada.buildtime;
			}
			Pallada.Loader.load('./main.js'+anticache, function(){
				Pallada.Application.statics.startUp( anticache );
			});
		});
	});
});